#pragma inline
/*                                                                          */
/*  FMEMSET.C   -- The function farmemset(), a part of the HPAPLUS package  */
/*                                                                          */

#include "standard.h"
#include <dos.h>
#include <86models.h>

#if DATASIZE == 16

void far *farmemset(void far *dest, int set_to, unsigned len)
{
    asm push ds

    asm cld

    asm mov cx,len
    asm mov ax,set_to
    asm mov ah,al

    asm les di,dest

    asm shr cx,1
    asm jnc Do_STOSW
    asm stosb

Do_STOSW:
    asm rep stosw

    asm pop ds

    return(dest);
}

#endif