/*                                                                          */
/*	MOUSE11.C	--- Part 11 of the HPAPLUS mouse driver pack				*/
/*																			*/

#include <stdlib.h>
#include <dos.h>

void getmousetouch(int *x, int *y, int *dbl)
{
	int sx, sy, sdbl;

	_AX = 0x001B;
	geninterrupt(0x33);

	sx = _BX;							/* Save registers					*/
	sy = _CX;
	sdbl = _DX;

	if ( x != NULL )
		*x = sx;

	if ( y != NULL )
		*y = sy;

	if ( dbl != NULL )
		*dbl = sdbl;
}


void setmousetouch(int x, int y, int dbl)
{
	_BX = x;
	_CX = y;
	_DX = dbl;
	_AX = 0x001A;

	geninterrupt(0x33);
}
