/* STANDARD.H -- Those things that you always use anyway					*/

#include <stdlib.h>
#include <stdio.h>

enum boolean { FALSE, TRUE };

#define bool(X) ((X)!=FALSE)

#define READ		"r"		/* Constants for fopen(), e.g.					*/
#define WRITE		"w"		/* fopen(myfile,READ TWOWAY TEXT);				*/
#define APPEND		"a"
#define TWOWAY		"+"
#define BINARY		"b"
#define TEXT		"t"

#define STR(X)		#X

enum ascii
{
	NUL, SOH, STX, ETX, EOT, ENQ, ACK, BEL, BS, HT, LF, VT, FF, CR, SO, SI,
    DLE, DC1, DC2, DC3, DC4, NAK, SYN, ETB, CAN, EM, SUB, ESC, FS, GS, RS, US,
    DEL = '\x7F'
};
