/* STRPLUS.H -- String functions from HPA lib								*/

#ifndef _STRPLUS_H

#ifdef __STDC__
#define _Cdecl
#else
#define _Cdecl cdecl
#endif

#ifndef _SIZE_T
#define _SIZE_T
typedef unsigned size_t;
#endif

#ifdef __cplusplus
extern "C" {
#endif

char * _Cdecl strmid(char *dest, char *source, unsigned loc, unsigned count);
char * _Cdecl strcut(char *str);
char * _Cdecl strxupr(char *str);
char * _Cdecl strxlwr(char *str);
void far * _Cdecl farmemcpy(void far *dest, void far *sco, unsigned len);
void far * _Cdecl farmemset(void far *dest, int set_to, unsigned len);
void far * _Cdecl hugememcpy(void far *dest, void far *sco, unsigned long len);
#if defined(__COMPACT__) || defined(__LARGE__) || defined(__HUGE__)
#define farmemcpy(D,S,L)    memcpy(D,S,L)
#define farmemset(D,S,L)	memset(D,S,L)
#endif

#define QTE_DEF     (0x00)
#define QTE_HICTRL  (0x01)
#define QTE_HIPR    (0x02)
#define QTE_HIGH	(0x03)      /* QTE_HIGH == QTE_HICTRL|QTE_HIPR      */
#define QTE_ESPC    (0x00)
#define QTE_SPC     (0x04)
#define QTE_NOSPC   (0x08)
#define QTE_STR		(0x00)
#define QTE_MEM		(0x10)

extern int _Cdecl _QuoteMode;

char * _Cdecl quotestr(char *outstr, const void *in, size_t len);
size_t _Cdecl unquotestr(void *out, const char *instr);

#ifdef __cplusplus
}
#endif

#endif
