/* STRXLWR.C -- strlwr() function that handles extended ASCII correctly		*/

char *strxlwr(char *str)
{
	static const char *lostring =
		"abcdefghijklmnopqrstuvwxyz[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F"
		"";

	unsigned char *ch;

	ch = str;

	while ( *ch )
	{
		if ( *ch >= 'A' && *ch <= '' )
		{
			*ch = lostring[ *ch - 'A' ];
		}

		ch++;
	}

	return(str);
}