/* STRXUPR.C -- strupr() function that handles extended ASCII correctly		*/

char *strxupr(char *str)
{
	static const char *histring =
	"ABCDEFGHIJKLMNOPQRSTUVWXYZ{|}~\x7FAAEEEIIIOOUUYAIOU";

	unsigned char *ch;

	ch = str;

	while ( *ch )
	{
		if ( *ch >= 'a' && *ch <= '' )
		{
			*ch = histring[ *ch - 'a' ];
		}

		ch++;
	}

	return(str);
}